=== debian/changelog ===
ros-noetic-dynamic-graph-python (4.0.11-1buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Fri, 30 Sep 2022 08:23:28 -0000
