=== debian/control ===
Source: ros-noetic-dynamic-graph-python
Section: misc
Priority: optional
Maintainer: Guilhem Saurel <guilhem.saurel@laas.fr>
Build-Depends: debhelper (>= 9.0.0), cmake, doxygen, git, libboost-all-dev, libeigen3-dev, python3-dev, python3-numpy, ros-noetic-dynamic-graph, ros-noetic-eigenpy
Homepage: https://github.com/stack-of-tasks/dynamic-graph-python
Standards-Version: 3.9.2

Package: ros-noetic-dynamic-graph-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, python3-dev, python3-numpy, ros-noetic-catkin, ros-noetic-dynamic-graph, ros-noetic-eigenpy
Description: Dynamic graph library Python bindings
